<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('featureds', function (Blueprint $table) {
            $table->id();
             $table->string('image')->nullable();
            $table->string('alt_text')->nullable();

            $table->string('title');
            $table->string('author')->nullable();
            $table->decimal('price', 10, 2)->nullable();

            $table->string('slug')->nullable();
            $table->string('amazon_link')->nullable();
           
            $table->integer('priority')->nullable();
            $table->enum('status',[1,2])->default(1);

            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('featureds');
    }
};
